curl --request GET \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/address/chains \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"currency": "BTC",
"chains": [
{
"chain": "BTC",
"currency": "BTC",
"full_curr_type": "BTC",
"symbol": "BTC",
"explorer_url": ""
},
{
"chain": "HT",
"currency": "BTC",
"full_curr_type": "BTC_HT",
"symbol": "BTC_HT",
"explorer_url": ""
},
{
"chain": "BSC",
"currency": "BTC",
"full_curr_type": "BTC_BSC",
"symbol": "BTC_BSC",
"explorer_url": ""
}
]
}
}Query all available chains that support payment with the provided currency
curl --request GET \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/address/chains \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"currency": "BTC",
"chains": [
{
"chain": "BTC",
"currency": "BTC",
"full_curr_type": "BTC",
"symbol": "BTC",
"explorer_url": ""
},
{
"chain": "HT",
"currency": "BTC",
"full_curr_type": "BTC_HT",
"symbol": "BTC_HT",
"explorer_url": ""
},
{
"chain": "BSC",
"currency": "BTC",
"full_curr_type": "BTC_BSC",
"symbol": "BTC_BSC",
"explorer_url": ""
}
]
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
GET /payment/open/institution/v1/pay/address/chains endpoint. The full schema, parameters, and examples are rendered from the linked OpenAPI definition above.
Query all available chains that support payment with the provided currency
X-GatePay-On-Behalf-Of.Merchant client ID, obtained from GatePay platform
HMAC-SHA256 signature for request validation
Timestamp in milliseconds, must not differ from server time by more than 5 minutes
Random nonce for replay attack prevention
Required delegated-subject header. Provide the initiating account ID for this request. For institution merchant APIs, this is typically the target sub-account ID; for institution charge and transfer APIs, it can be either an institution account ID or a sub-account ID.
The currency to create the order in.